# classes/phing/tasks/ext/coverage/CoverageSetupTask.php

## \CoverageSetupTask
jump to top

Initializes a code coverage database

Use {@link Project#createTask} to register a new Task.

Extends from
  \Task
author
  Michiel Rook
copyright
  2001,2002 THYRELL. All rights reserved
package
  phing.tasks.ext.coverage
since
  2.1.0
version
  $Id: CoverageSetupTask.php 1182 2011-06-22 13:11:38Z mrook $

### Properties

`$classpath= 'NULL'`

the classpath to use (optional)

Default value `NULL` Details

Type

`$database= 'coverage.db'`

the filename of the coverage database

Default value `coverage.db` Details

Type

`$filelists= 'array'`

Any filelists of files containing the .php filenames

Default value `array` Details

Type

`$filesets= 'array'`

the list of filesets containing the .php filename rules

Default value `array` Details

Type

### Methods

`addFileSet( \FileSet $fileset ) :`
Add a new fileset containing the .php files to process
Parameters

Name | Type | Description
--- | --- | ---
$fileset | \FileSet | the new fileset containing .php files

`createClasspath( ) :`
`createFileList( ) : \FileList`
Supports embedded <filelist> element.
Returns

Type | Description
--- | ---
\FileList |

`getFilenames( ) : array`
Iterate over all filesets and return the filename of all files.
Returns

Type | Description
--- | ---
array |

`init( ) :`
`main( ) :`
`setClasspath( $classpath ) :`
Parameters

Name | Type | Description
--- | --- | ---
$classpath |  |

`setDatabase( string $database ) :`
Sets the filename of the coverage database to use
Parameters

Name | Type | Description
--- | --- | ---
$database | string | the filename of the database

Documentation was generated by DocBlox 0.13.1.